
Redmine - Feature #5765

Issue Numbers per Project

2010-06-27 22:03 - Sam Bo

Status: Closed Start date: 2010-06-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

My suggestion would be add issue numbers that are specific to projects and not global.  I know there are probably many of us that

move from other systems and need to maintain ticket numbers across the transition. Ie, moving 2 projects that both start with issue 

#1.  I'm guessing this would impact many aspects and possibly require not using the auto increment id field of the issues table but

adding a new field (number or whatever) to the issue table.

Related issues:

Related to Redmine - Feature #282: Ability to specify a project code Closed

Related to Redmine - Feature #538: Issue Numbering is note respecting projects Closed

Related to Redmine - Feature #1926: Issues identifiers Closed 2008-09-19

Related to Redmine - Defect #3843: Better issue identifiers Closed 2009-09-10

Related to Redmine - Feature #3094: Change ticket ID generation Closed 2009-04-01 2013-04-01

Has duplicate Redmine - Feature #7873: Issue identifier Closed 2011-03-15

Has duplicate Redmine - Feature #8039: Start issues from 1 per project Closed 2011-04-01

History

#1 - 2010-08-08 01:33 - Moritz Voss

Should be optional at best, IMHO.

Our shop has so many projects, and so many cross-project relations that pop up every now and then, we rely heavily on the opposite - unique ticket

numbers, globally.

#2 - 2010-08-11 00:44 - Mischa The Evil

See preceding related issues #282, #538, #1926 and #3843.

I personally don't think that the current implementation should be changed.

#3 - 2010-08-11 08:28 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Wont fix

This has already been discussed and won't be implemented.

#4 - 2014-08-23 18:59 - Andriy Lesyuk

Did this in the plugin (uses the project key, that gets prepended to the issue unmber). "Legacy" issue IDs can be still used.

#5 - 2015-10-30 08:51 - Ramiz Raja Chaudhry

Andriy Lesyuk wrote:

Did this in the plugin (uses the project key, that gets prepended to the issue unmber). "Legacy" issue IDs can be still used.

 This plugin is highly unstable, I have used this plugin to one of the redmine(2.6) project and after removing so many bugs, it still has many. I would

suggest to not to use this plugin at all.

#6 - 2015-10-30 10:44 - Andriy Lesyuk

Ramiz Raja Chaudhry wrote:
http://projects.andriylesyuk.com/project/redmine/issue-id
This plugin is highly unstable, I have used this plugin to one of the redmine(2.6) project and after removing so many bugs, it still has many. I

would suggest to not to use this plugin at all.

 You have bugs after removing it or when it is installed?.. Also, you should not use it for 2.6 as it does not support this version (the home page lists

versions supported).
